import bolum11.Tree;

public class TreeTest
{
  public static void main(String args[])
  {
  Tree agac=new Tree();
  int sayi;
  System.out.println("orijinal olarak Tree'ye girilen sayi dizini");
  for(int i=0;i<=6;i++)
  {
   sayi=(int)(Math.random()*45)+1;
   System.out.print(sayi+" ");
   agac.gir(sayi);
  }
  System.out.println("\nSol dal - kok - sag dal siralama : ");
  agac.soldal_node_sagdal_sirala();
  System.out.println("\nkok -Sol dal - sag dal siralama : ");
  agac.node_soldal_sagdal_sirala();
  System.out.println("\nSol dal - sag dal - kok siralama : ");
  agac.soldal_sagdal_node_sirala();
  System.out.println("\nSag dal - kok - sol dal siralama : ");
  agac.sagdal_node_soldal_sirala();
  System.out.println("\nkok -Sag dal - sol dal siralama : ");
  agac.node_sagdal_soldal_sirala();
  System.out.println("\nSag dal - sol dal - kok siralama : ");
  agac.sagdal_soldal_node_sirala();
  }
}
